Issue1753

classification
Title: zlib doesn't call end() on compress and decompress
Type: Severity: normal
Components: Library Versions: 2.5.2rc
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, fwierzbicki, kellyc2702
Priority: Keywords: patch

Created on 2011-06-01.15:50:53 by kellyc2702, last changed 2013-02-10.11:57:08 by amak.

Files
File name Uploaded Description Edit Remove
jython-zlib.patch kellyc2702, 2011-06-01.15:50:52 patch for zlib.py
Messages
msg6537 (view) Author: Kelly Campbell (kellyc2702) Date: 2011-06-01.15:50:52
zlib.py uses java Inflater and Deflater, but doesn't always clean up by calling end() on those. This creates native memory leaks because it requires finalization to run to clean up.

Patch attached.
msg7655 (view) Author: Alan Kennedy (amak) Date: 2013-02-10.11:57:07
Patch applied in

2.5: http://hg.python.org/jython/rev/fa5bcc1c80cb
tip: http://hg.python.org/jython/rev/d39b428d5c99

Kelly, thanks for the patch and for taking the time to report the issue.
History
Date User Action Args
2013-02-10 11:57:08amaksetstatus: open -> closed
assignee: fwierzbicki -> amak
resolution: fixed
messages: + msg7655
nosy: + amak
2012-08-10 21:10:34fwierzbickisetassignee: fwierzbicki
nosy: + fwierzbicki
2011-06-01 15:50:53kellyc2702create